sysdecode_abi_to_freebsd_errno(3)

NAME
sysdecode_abi_to_freebsd_errno, sysdecode_freebsd_to_abi_errno - translate error numbers between process ABIs

LIBRARY
libsysdecode

SYNOPSIS
#include <sys/types.h>
#include <stdbool.h>
#include <sysdecode.h>
int
sysdecode_abi_to_freebsd_errno(enum sysdecode_abi abi, int error);
int
sysdecode_freebsd_to_abi_errno(enum sysdecode_abi abi, int error);

DESCRIPTION
The sysdecode_abi_to_freebsd_errno() function returns the native errno(2) value that corresponds to the error indicated by error for the process ABI abi. If error does not identify a valid error for abi, INT_MAX is returned.

The sysdecode_freebsd_to_abi_errno() function the error value for the process ABI abi that corresponds to the native errno(2) value error. If error does not identify a valid errno(2) error, INT_MAX is returned.

Note that the mappings between native errno(2) values and errors for other ABIs are not exhaustive. If a mapping does not exist, these functions return INT_MAX. In addition, multiple error values in one ABI may map to a single error in another ABI.

RETURN VALUES
These functions return an error value on success or INT_MAX if error is not valid.

For the list of supported ABIs, see sysdecode(3).

SEE ALSO
sysdecode(3), sysdecode_syscallnames(3)